Page MenuHomePhabricator

Nova-network to Neutron migration
Closed, ResolvedPublic

Description

Replace the deprecated nova-network software defined networking layer of our OpenStack deployments with the modern Neutron stack.

See also

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
Resolvedbd808
ResolvedNone
Resolvedchasemp
ResolvedAndrew
OpenNone
DuplicateNone
Resolvedchasemp
Resolvedchasemp
Resolvedfaidon
OpenNone
Resolvedchasemp
Resolvedaborrero
Resolvedaborrero
Resolvedchasemp
Resolvedchasemp
Resolvedaborrero
ResolvedPapaul
Resolvedchasemp
Resolvedchasemp
Resolvedchasemp
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
ResolvedAndrew
ResolvedAndrew
ResolvedAndrew
ResolvedAndrew
Resolvedfaidon
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
ResolvedCmjohnson
Resolvedaborrero
ResolvedCmjohnson
Resolvedaborrero
ResolvedCmjohnson
Resolvedaborrero
ResolvedCmjohnson
ResolvedAndrew
Resolvedchasemp
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
ResolvedAndrew
ResolvedAndrew
ResolvedAndrew
ResolvedAndrew
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
ResolvedAndrew
Resolvedaborrero
InvalidAndrew
ResolvedAndrew
ResolvedNone
ResolvedAndrew
OpenNone
ResolvedAndrew
ResolvedAndrew
ResolvedAndrew
Duplicateherron
Resolvedherron
Resolvedbd808
Resolvedherron
OpenNone
OpenNone
ResolvedKrenair
Resolvedmmodell
Resolvedbd808
ResolvedKrenair
Resolved dduvall
ResolvedAndrew
Resolvedhashar
OpenNone

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 411488 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] openstack: neutron l3 and service for labtestn

https://gerrit.wikimedia.org/r/411488

Change 411488 merged by Rush:
[operations/puppet@production] openstack: neutron l3 and service for labtestn

https://gerrit.wikimedia.org/r/411488

chasemp updated the task description. (Show Details)
ayounsi closed subtask Restricted Task as Resolved.Jul 25 2018, 5:44 PM
Andrew added a subtask: Restricted Task.Aug 17 2018, 5:21 PM
Andrew closed subtask Restricted Task as Resolved.Aug 24 2018, 5:38 PM
ayounsi reopened subtask Restricted Task as Open.Aug 27 2018, 6:02 PM
Andrew closed subtask Restricted Task as Resolved.Sep 3 2018, 5:34 PM

Mentioned in SAL (#wikimedia-operations) [2018-09-13T13:20:45Z] <andrew@deploy1001> Started deploy [horizon/deploy@12aa2d3]: Improvements for VM creation in eqiad1, T167293

Mentioned in SAL (#wikimedia-operations) [2018-09-13T13:20:56Z] <andrew@deploy1001> Finished deploy [horizon/deploy@12aa2d3]: Improvements for VM creation in eqiad1, T167293 (duration: 00m 13s)

Mentioned in SAL (#wikimedia-operations) [2018-09-13T13:23:54Z] <andrew@deploy1001> Started deploy [horizon/deploy@c9c7a56]: Improvements for VM creation in eqiad1, T167293 (take two)

Mentioned in SAL (#wikimedia-operations) [2018-09-13T13:28:03Z] <andrew@deploy1001> Finished deploy [horizon/deploy@c9c7a56]: Improvements for VM creation in eqiad1, T167293 (take two) (duration: 04m 10s)

Change 460589 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] designate sink: Refrain from cleaning up migrating VMs

https://gerrit.wikimedia.org/r/460589

Change 460589 merged by Andrew Bogott:
[operations/puppet@production] designate sink: Refrain from cleaning up migrating VMs

https://gerrit.wikimedia.org/r/460589

Probably as of yesterday morning this is >50%:
$ python countMigratedInstances.py
('Migrated', 392)
('Non-migrated', 340)

Krenair added a comment.EditedMar 24 2019, 5:34 PM

The tools trusty grid which sits in the old region is going away next week which will likely reduce the numbers a lot (note I don't know how much tools non-trusty misc stuff is still in the old region but I know it's non-0), so I thought it time to update this task:
Total instances found: 837
Total migrated: 684
Total non-migrated: 153
Tools/toolsbeta migrated: 107
Tools/toolsbeta non-migrated: 144
Migrated without tools/toolsbeta: 577
Non-migrated without tools/toolsbeta: 9

In the last group are the following instances:

(u'admin-monitoring', u'fullstackd-1553237607', u'ACTIVE')
(u'admin-monitoring', u'fullstackd-1553207221', u'ACTIVE')
(u'admin-monitoring', u'fullstackd-1553107616', u'ACTIVE')
(u'admin-monitoring', u'fullstackd-1553042774', u'ACTIVE')
(u'admin-monitoring', u'fullstackd-1552900252', u'ACTIVE')
(u'maps', u'maps-tiles2', u'ACTIVE')
(u'maps', u'maps-tiles3', u'ACTIVE')
(u'maps', u'maps-wma1', u'ACTIVE')
(u'testlabs', u'canary1008-01', u'SHUTOFF')

admin-monitoring fullstackd stuff is presumably just automatic instance-creation-still-works monitoring instances that didn't get deleted properly, maps is T204506, and the SHUTOFF testlabs canary instance is presumably disposable :)

chasemp closed subtask Restricted Task as Resolved.Apr 29 2019, 6:15 PM

Change 507340 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] wmcs: Remove puppet code for the 'main' region

https://gerrit.wikimedia.org/r/507340

Change 507340 merged by Andrew Bogott:
[operations/puppet@production] wmcs: Remove puppet code for the 'main' region

https://gerrit.wikimedia.org/r/507340

I think this can be closed?

Krenair added a comment.EditedMay 6 2019, 10:46 PM

I think so too though there are still unresolved tasks open, plus some tidyup to do still.

We no longer have nova-network soo this can be closed. We don't the need the main task open in order to solve subtasks.

Andrew closed this task as Resolved.May 20 2019, 4:40 PM